# Create salesInvoices (v1.0)
Create a sales invoice object in Business Central.
## HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/salesInvoices
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body (v1.0)
In the request body, supply a JSON representation of a salesInvoices object.
## Response (v1.0)
If successful, this method returns ```201 Created``` response code and a salesInvoices object in the response body.
## Example (v1.0)
Request
Here is an example of a request.
```json
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/salesInvoices
Content-type: application/json

{
  "id": "id-value",
  "number": "1009",
  "invoiceDate": "2015-12-31",
  "customerNumber": "GL00000008",
  "currencyCode": "GBP",
  "paymentTermsId": "3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
Sales Invoice<../resources/dynamics_salesinvoice>
Get Sales Invoice<dynamics_salesinvoice_get>
Update Sales Invoice<dynamics_salesinvoice_update>
Delete Sales Invoice<dynamics_salesinvoice_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_salesinvoice, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_salesinvoice/
